function Chapter_3_Figure_17

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This matlab file reproduces simulation studies in the book:
% Systems Biology: Mathematical modeling and model analysis
% by A. Kremling
%
% It is related to Figure 17 in Chapter 3
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


close all;

% --- parameters

m=0:0.001:12;
mt=7;
md=11;
g=200;
d=5;
l=2.82;
beta=100;
ms=11;
 
% --- calculation
 
b = 0.*(m<=mt);
b = b + g.*exp(-d.*((m-md).^2)).*(md>m & mt<m);
b = b + g.*(m>=md);
 
 p=l.*exp(-beta.*((m-mt).^2))+l.*exp(-beta.*((m-ms+mt).^2)).*(m<ms & ms>mt);
 p=p+0.*(ms<=m);
 p=p+0.*(ms<=mt);

% --- plotting

subplot(121);
    plot(m,b),ylim([0 210]), xlabel('m'), xlim([0 12]);
    grid on
    title('function b(m) with the parameters m_t = 7, m_d = 11, \gamma = 200, \delta= 5')
subplot(122)
    plot(m,p), ylim([0 3]),xlabel('m'),xlim([0 12]);
    grid on
    title('function p(m, m^*) for fixed m^*= 11 with further parameters \lambda = 2.82, \beta = 100.')
    
  
end




