function Chapter_5_Figure_14

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This matlab file reproduces simulation studies in the book:
% Systems Biology: Mathematical modeling and model analysis
% by A. Kremling
%
% It is related to Figure 14 in Chapter 5
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

close all;

% --- Parameters

s = 0:.1:5; % interval substrat
rmax = 2; 
K = 1;
r = rmax*s./(K+s);  % Kinetic


% --- calculations

% Linearization at s = s_r = 1; r_r = 1;

s_r = 1;
r_r =  rmax*s_r./(K+s_r);

an = rmax*K/(K+s_r)^2;  % gradient
an = an*s_r/r_r;  % norming gradient

r_lin = (an*(s/s_r-1)+1)*r_r;  

% Lin-log Kinetik

r_linlog = (1 + an*log(s/s_r))*r_r;


% Kinetic with according order

r_ord = ((s/s_r).^an)*r_r;


%%% plotting

figure(1)
plot(s,r,'k',s,r_lin,'k--',s,r_linlog,'k:',s,r_ord,'k-.'),grid
axis([0 5 0 3])
title({'Michaelis-Menten-kinetics (continuous line), its linearized form(dashed line)';'the kinetics of order n (chain-line) and the Lin-Log-kinetics (colon line).'})
xlabel('S'), ylabel('r(S)')


end


