function Chapter_5_Figure_5

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This matlab file reproduces simulation studies in the book:
% Systems Biology: Mathematical modeling and model analysis
% by A. Kremling
%
% It is related to Figure 5 in Chapter 5
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Parameter

k2E0 = 1;
SKD=0:0.05:100;
KL = [0; 1; 10; 100];

% --- calculations: Figure 5.5 left

for l = 1:length(KL),
    for s= 1:length(SKD),
      r(s,l) = (k2E0*SKD(s)*(1+SKD(s)))/((1+SKD(s))*(1+SKD(s))+KL(l));
    end
end

% --- plotting
figure(1);
subplot(211);
plot(SKD,r(:,1),'k',SKD,r(:,2),'--k',SKD,r(:,3),'-.k',SKD,r(:,4),':k');
xlabel('S/K_D');ylabel('r/2k_2E_0');text(7,0.7,'1/K_L \rightarrow ');
title('Model with two binding sites and active/inactive conformation');
%_________________________________________________

% --- calculation: Figure 5.5 right. 

SKD=0:0.01:2;
a = [1 10 50 100];
for k = 1:length(a),
    for s= 1:length(SKD),
        r2(s,k) = (k2E0*SKD(s)*(1+a(k)*SKD(s)))/(1+2*SKD(s)+a(k)*SKD(s)^2);
    end
end

% --- plotting
subplot(212);
plot(SKD,r2(:,1),'k',SKD,r2(:,2),'--k',SKD,r2(:,3),'-.k',SKD,r2(:,4),':k');
xlabel('S/K_D');ylabel('r/2k_2E_0');text(1,0.8,' \leftarrow \alpha');
title('Model with two binding sites and positive cooperativity.');

