function Chapter_7_Figure_19

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This matlab file reproduces simulation studies in the book:
% Systems Biology: Mathematical modeling and model analysis
% by A. Kremling
%
% It is related to Figure 19 in Chapter 7
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

close all;

% --- parameter
S=1;
x=0:0.001:1;

% --- calculation: Figure 7.19 left.

HN=(S-x)./x;
VN=1./(1+x);

% --- plotting
figure(1)
subplot(121);
plot(x,VN,'k--',x,HN,'k');
ylim([0 2]); xlabel('X'); ylabel('Y');
title('Phase plane with null clines; simulation for S = 1');
legend('Vertical nullcline','Horizintal nullcline')

%_________________________________________________

% --- parameter
S1=0.1;
S2=1;
S3=1.4;
X=0:0.001:1;

% --- calculation: Figure 7.19 right
HN1=(S1-X)./X;
HN2=(S2-X)./X;
HN3=(S3-X)./X;
VN=1./(1+X);

% --- plotting
subplot(122);
plot(X,VN,'k--',X,HN1,'k-.',X,HN2,'k',X,HN3,'k:');
ylim([0 2]); xlabel('X'); ylabel('Y');
title({'For values S = 0.1, 1, 1.4 the horizontal null clines are shown';...
    'The steady state goes to the right side. The vertical null cline doesn�t depend on S'})

  
