function Chapter_7_Figure_2

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This matlab file reproduces simulation studies in the book:
% Systems Biology: Mathematical modeling and model analysis
% by A. Kremling
%
% It is related to Figure 2 in Chapter 7
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all;

% --- parameters

S =0:.1:10;
k1= 1;
k2= 1;
R0= 1;
Rp=0:0.1:1;

% --- calculation

% synthesis rates in dependence on the signal Rp for three constant S
% values.
synthesis1=k1*2*(R0-Rp);     % S=2
synthesis2=k1*4*(R0-Rp);     % S=4
synthesis3=k1*8*(R0-Rp);     % S=8

% degradation rate
degradation=k2*Rp;

% Signal response graph
Rpss=S*R0./(S+k1/k2);

% --- plotting

figure(1);
subplot(121);
plot(S,Rpss,'k');
xlabel('S');ylabel('R_P');
title('Signal-response-curve');

subplot(122);
plot(Rp,synthesis1,'k--',Rp ,synthesis2,'k--',Rp,synthesis3,'k--',Rp,degradation,'k');
ylim([0 2]);
title('Graphical construction of the signal-response-curve');
xlabel('R_P');ylabel('rate');
text(0.1,0.4,'Degradation (solid)'); text(0.3,1.8,'Synthesis'); text(0.7,0.8,'S \rightarrow');

