function Chapter_8_Exercise_4

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This matlab file reproduces simulation studies in the book:
% Systems Biology: Mathematical modeling and model analysis
% by A. Kremling
%
% It is related to Exercise 4 in Chapter 8
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% --- Parameters

% stationary values
X0 = [0.5 0.5]';
%X0 = [10 1]';
% The stoichiometric matrix
N = [1 -1 0
     0 2 -1];
 
% --- calculation and plotting

% The null space of N
K = null(N,'r');
% The row vector of steady state fluxes
c = .2;
v = (K*c)';

% Define the matrix LAMBDA

LAMBDAs=N.*v(ones(2,1),:);
LAMBDA=LAMBDAs./X0(:,ones(3,1));

% Construct the matrix of saturation coefficients
% values for two derivatives

t_r2_g =  0:0.1:8;  
t_r2_t = 0:0.1:8; 

figure(1)
xlabel('t_r2_g????????'),ylabel('t_r2_t?????')
title({'Crosses indicate the unstable region while the plus signs show the'...
'region where stable focus can be found. Points mark the parameters range of'...
'a stable eddy.'})

% for all parameter combinations evaluate the Jacobian

for i = 1:length(t_r2_g),
  for j = 1:length(t_r2_t),
  
       theta = [ 0 0 
	      t_r2_g(i) -t_r2_t(j)
	      0 1];
    
    % Jacobian matrix in terms of the normalized variables
    J = LAMBDA*theta; 

    % check determinante and trace;  plot 
       
    if (det(J) == 0)  & (trace(J) ==  0),
      
      	plot(t_r2_g(i),t_r2_t(j),'gx'), hold on     % unstable
           
    elseif det(J) >= 0,
    
      if (trace(J) <= 0) & (trace(J)^2 > 4*det(J)),  
	plot(t_r2_g(i),t_r2_t(j),'+'), hold on    % stab. focus
        
      elseif  (trace(J) <= 0) & (trace(J)^2 < 4*det(J)),  
	
	plot(t_r2_g(i),t_r2_t(j),'r.'), hold on  % stab. eddy
	 	  
      else
	
	plot(t_r2_g(i),t_r2_t(j),'gx'), hold on     % unstable
	
      end
      
    else
      
      	plot(t_r2_g(i),t_r2_t(j),'gx'), hold on     % unstable
	
    end
    
    
  end
end

figure(1)
xlabel('Parameter \theta_a^\rho^2'),ylabel('Parameter \theta_b^\rho^2')
title({'Crosses indicate the unstable region while the plus signs show the'...
'region where stable nodes can be found. Points mark the parameters range of'...
'a stable focus.'})


