function Chapter_9_Figure_14

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This matlab file reproduces simulation studies in the book:
% Systems Biology: Mathematical modeling and model analysis
% by A. Kremling
%
% It is related to Figure 14 in Chapter 9
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all;

% --- Parameters
p1=0.5;
p2=3;
p3=3;
p4=10;
% ---Calculation: LaPlace-Transformation

s=tf('s');             
G1=-s*p4/(s^2+p3*s+p1*p2); % % transfer function of disturbance --> D-T2-behaviour

% --- plotting 
subplot(121);step(G1,'k');title('Step-response of an DT2-element');
subplot(122);bode(G1,'k');grid on;title('Frequency-response of an DT2-element');

% ----------------------------------
end
